public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/nodejs-aw-webui] f43: Update to 13a9428
@ 2026-08-29  9:47 
  0 siblings, 0 replies; only message in thread
From:  @ 2026-08-29  9:47 UTC (permalink / raw)
  To: git-commits

A new commit has been pushed.

Repo   : rpms/nodejs-aw-webui
Branch : f43
Commit : 1612c094a886c772feba51526f2b36b88b9e2af1
Author : Łukasz Wojniłowicz <lukasz.wojnilowicz@gmail.com>
Date   : 2026-08-29T11:23:22+02:00
Stats  : +131/-19 in 6 file(s)
URL    : https://src.fedoraproject.org/rpms/nodejs-aw-webui/c/1612c094a886c772feba51526f2b36b88b9e2af1?branch=f43

Log:
Update to 13a9428

---
diff --git a/.gitignore b/.gitignore
index 2d06785..0e9760d 100644
--- a/.gitignore
+++ b/.gitignore
@@ -29,3 +29,6 @@
 /aw-webui-7db0598.tar.gz
 /aw-webui-7db0598-nm-prod.tgz
 /aw-webui-7db0598-nm-dev.tgz
+/aw-webui-13a9428.tar.gz
+/aw-webui-13a9428-nm-prod.tgz
+/aw-webui-13a9428-nm-dev.tgz

diff --git a/aw-webui-13a9428-bundled-licenses.txt b/aw-webui-13a9428-bundled-licenses.txt
new file mode 100644
index 0000000..69d9631
--- /dev/null
+++ b/aw-webui-13a9428-bundled-licenses.txt
@@ -0,0 +1,13 @@
+"0BSD"
+"Apache-2.0"
+"(Apache-2.0 OR MIT)"
+"Artistic-2.0"
+"BSD-2-Clause"
+"BSD-3-Clause"
+"CC-BY-4.0"
+"ISC"
+"MIT"
+"MPL-2.0"
+"(MPL-2.0 OR Apache-2.0)"
+"Unlicense"
+"W3C-20150513"

diff --git a/aw-webui-7db0598-bundled-licenses.txt b/aw-webui-7db0598-bundled-licenses.txt
deleted file mode 100644
index 69d9631..0000000
--- a/aw-webui-7db0598-bundled-licenses.txt
+++ /dev/null
@@ -1,13 +0,0 @@
-"0BSD"
-"Apache-2.0"
-"(Apache-2.0 OR MIT)"
-"Artistic-2.0"
-"BSD-2-Clause"
-"BSD-3-Clause"
-"CC-BY-4.0"
-"ISC"
-"MIT"
-"MPL-2.0"
-"(MPL-2.0 OR Apache-2.0)"
-"Unlicense"
-"W3C-20150513"

diff --git a/nodejs-aw-webui.spec b/nodejs-aw-webui.spec
index a785f20..027c702 100644
--- a/nodejs-aw-webui.spec
+++ b/nodejs-aw-webui.spec
@@ -1,10 +1,10 @@
 %global npm_name aw-webui
 
-%global commit 7db0598d8526efc36e7ef411c7e523dd4111fcb0
+%global commit 13a9428ef854f357bbf2aa9e09ad04ded811c000
 %global short_commit %(c=%{commit}; echo ${c:0:7})
 
 Name:           nodejs-%{npm_name}
-Version:        0^20260816.%{short_commit}
+Version:        0^20260829.%{short_commit}
 Release:        %autorelease
 Summary:        A web-based UI for ActivityWatch, built with Vue.js
 
@@ -15,7 +15,7 @@ License:        MPL-2.0 AND Apache-2.0 AND ISC
 
 URL:            https://github.com/ActivityWatch/%{npm_name}
 Source0:        %{url}/archive/%{commit}/%{npm_name}-%{short_commit}.tar.gz
-# prepared with "nodejs-packaging-bundler %%{npm_name} %%{short_commit} %%{SOURCE0}"
+# prepared with nodejs-packaging-bundler-wrapper.sh -c %%{commit}
 Source1:        %{npm_name}-%{short_commit}-nm-prod.tgz
 Source2:        %{npm_name}-%{short_commit}-nm-dev.tgz
 Source3:        %{npm_name}-%{short_commit}-bundled-licenses.txt
@@ -26,6 +26,7 @@ BuildArch:      noarch
 ExclusiveArch:  %{nodejs_arches} noarch
 BuildRequires:  nodejs-npm, /usr/bin/npm
 BuildRequires:  nodejs-devel
+BuildRequires:  nodejs-esbuild
 BuildRequires:  fdupes
 
 %description

diff --git a/nodejs-packaging-bundler-wrapper.sh b/nodejs-packaging-bundler-wrapper.sh
new file mode 100755
index 0000000..9b0f685
--- /dev/null
+++ b/nodejs-packaging-bundler-wrapper.sh
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+tools_needed=(
+  find
+  nodejs-packaging-bundler
+  spectool
+  tar
+)
+
+for tool in "${tools_needed[@]}"; do
+  if [[ -z $(command -v "$tool") ]]; then
+    echo "$tool is missing. Exiting…"
+    exit 1
+  fi
+done
+
+function display_help() {
+  echo -e "Launches nodejs-packaging-bundler and removes binary content from the archives.\n" \
+    "Usage:\n" \
+    "-c SHA-1 of the commit\n" \
+    "-h help"
+}
+
+commit=
+while getopts "c:h" option; do
+  case $option in
+  h)
+    display_help
+    exit
+    ;;
+  c) commit=$OPTARG ;;
+  *)
+    display_help
+    exit
+    ;;
+  esac
+done
+
+if [[ ! "${commit}" =~ [[:alnum:]]{7,} ]]; then
+  echo "Expected SHA-1 of at least 7 alphanumeric chars. Exiting…"
+  exit 1
+fi
+
+spec_name="nodejs-aw-webui.spec"
+npm_name="aw-webui"
+
+short_commit=${commit:0:7}
+# convert to lowercase
+short_commit=${short_commit,,}
+
+common_prefix="${npm_name}-${short_commit}"
+source="${common_prefix}.tar.gz"
+npm_variants=(
+  prod
+  dev
+)
+
+function get_npm_archive_name() {
+  echo "${common_prefix}-nm-$1.tgz"
+}
+
+declare -i try
+
+try=0
+while [[ ! -f "$source" ]]; do
+  if [[ try -ne 0 ]]; then
+    echo "Failed to download $source. Exiting…"
+    exit 1
+  fi
+  echo "Downloading $source…"
+  # Assuming that Source0 in the spec file is $source
+  spectool -g "$spec_name" -s 0
+  ((try += 1))
+done
+
+try=0
+for variant in "${npm_variants[@]}"; do
+  npm_archive_name=$(get_npm_archive_name "$variant")
+  while [[ ! -f "$npm_archive_name" ]]; do
+    if [[ try -ne 0 ]]; then
+      echo "Failed to download $npm_archive_name. Exiting…"
+      exit 1
+    fi
+    echo "Downloading $npm_archive_name…"
+    nodejs-packaging-bundler "$npm_name" "$short_commit" "$source"
+    cp "${HOME}/rpmbuild/SOURCES/aw-webui-${short_commit}-"* .
+    ((try += 1))
+  done
+
+  echo "Removing binary content from $npm_archive_name…"
+  dir_name="node_modules_$variant"
+
+  if [[ -d "$dir_name" ]]; then
+    echo "Please remove $dir_name first. Exiting…"
+    exit 1
+  fi
+
+  tar xf "$npm_archive_name"
+
+  find "$dir_name" -type f \( \
+    -name '*.exe' -o \
+    -name 'esbuild' -o \
+    -name 'downloaded-@esbuild-linux-x64-esbuild' -o \
+    -name 'xsel' \
+    \) -delete
+  # Without this ./ it doesn't unpack well.
+  tar cfz "$npm_archive_name" --remove-files --sort=name "./${dir_name}"
+done

diff --git a/sources b/sources
index 086691c..79a9010 100644
--- a/sources
+++ b/sources
@@ -1,3 +1,3 @@
-SHA512 (aw-webui-7db0598.tar.gz) = 77005b688cd686bc923658985c576739d3b833e4ec582ed8a612344e6dc5928418eb91312b159adb411a5b082a1f4a595f15b68ee035c7af311e5c501abdf2ca
-SHA512 (aw-webui-7db0598-nm-prod.tgz) = a358a513cfd287a51e16535038685253710e081e92e8f08da8898a4988f228de26fb8dc3452c658c50142c9d62a826b444d296ae5c503a5bc4a40051513dc794
-SHA512 (aw-webui-7db0598-nm-dev.tgz) = 11372ef87cecb45cbd0c3ee314bd910fc622cdbaec42b95c8532f9e7f616e5d5f7d78e7875ec03ba4a705280b31a4e4778142ba6e8cbea0026e30d8e20b52c99
+SHA512 (aw-webui-13a9428.tar.gz) = 4afe32a301f3426eddfab91ce7f97bd40dea72acfbd33144a209c96dd8ed1597527a5779cea1418c4c6ecf88c6f9bf36997a6e453838c9e33b3f547e45f6304e
+SHA512 (aw-webui-13a9428-nm-prod.tgz) = b028cf959d158b898d054feee41d793c6fe8cece7c79835236083d07a3ebce2fa7dbac87c79c859626bc48768991207185fff51baff38bb89b2129b8740df877
+SHA512 (aw-webui-13a9428-nm-dev.tgz) = c90c457bab7a46b26e5989afb8a053518219be5725bf9e186eb40ae891d0fb14354186923c31fdb221d15e236f8a8290b63e2baeac7dbd0e6b4b1387b9d617e6

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-08-29  9:47 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-08-29  9:47 [rpms/nodejs-aw-webui] f43: Update to 13a9428 

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox